<?php
//funkcija call za ucitavanje odredjenog kontrolera 
//i akcije tog kontrolera odnosno neke veb strane
function call($controller, $akcija) {
    require_once('controllers/' . $controller . '_controller.php');

    switch ($controller) {
        case 'gost':
            $controller = new Gost();
            break;
        case 'radnik':
            $controller = new Radnik();
            break;
        case 'korisnik':
            $controller = new Korisnik();
            break;
    }

    $controller->$akcija();
}

//niz sa kontrolerima i svim akcijama tih kontrolera
$controllers = array('gost' => ['index', 'ulogujse','pretraga'],
                    'radnik' => ['index', 'pretraga',  'pretraga_rezultat', 'kreiranje_siguranja_putno', 'kreiranje_korisnika','kreiranje_siguranja_automobil','kreiraj_siguranje_automobil'],
                    'korisnik' => ['index', 'pretraga', 'prijava']);

if (array_key_exists($controller, $controllers)) {
    if (in_array($akcija, $controllers[$controller])) {
        call($controller, $akcija);
    } else {
        call('gost', 'greska');
    }
} else {
    call('gost', 'greska');
}
?>